Loading...
Searching...
No Matches
pappso::specself::SelfSpectrumDataPoint Struct Reference

`#include <selfspectrumdatapoint.h>`

## Public Member Functions

void | fillSelfSpectrumDataPoint (const pappso::AaStringCodeMassMatching &codec_mass_matching, const DataPoint &peak1, const DataPoint &peak2)
void | fillAntiSpectrumDataPoint (double precursor_mass, const pappso::AaStringCodeMassMatching &codec_mass_matching, const DataPoint &peak1, const DataPoint &peak2)
void | setVariableModification (const pappso::AaStringCodeMassMatching &codec_mass_matching, const Aa &aa, int quantifier)

## Public Attributes

bool | m_isComplement =false
double | massDelta
double | antiMassDelta
std::vector< uint32_t > | aaCodeList
std::vector< uint32_t > | antiAaCodeList

## Detailed Description

Definition at line 38 of file selfspectrumdatapoint.h.

## Member Function Documentation

## fillAntiSpectrumDataPoint()

void pappso::specself::SelfSpectrumDataPoint::fillAntiSpectrumDataPoint | ( | double | precursor_mass,
|  | const pappso::AaStringCodeMassMatching & | codec_mass_matching,
|  | const DataPoint & | peak1,
|  | const DataPoint & | peak2
| ) |  |

Definition at line 62 of file selfspectrumdatapoint.cpp.

{
precursor_mass = precursor_mass + MHPLUS + MHPLUS;
antiMassDelta = (precursor_mass - peak1.x) - peak2.x;
m_isComplement = false;
if(std::abs(antiMassDelta) <
codec_mass_matching.getPrecisionPtr()->getNominal())
{
m_isComplement = true;
}
else
{
if(antiMassDelta > 0)
{
antiAaCodeList = codec_mass_matching.getAaCodeFromMass(antiMassDelta);
}
}
}
pappso::AaStringCodeMassMatching::getAaCodeFromMass
std::vector< uint32_t > getAaCodeFromMass(double mass) const
get amino acid string code from a single mass delta
Definition aastringcodemassmatching.cpp:87
pappso::AaStringCodeMassMatching::getPrecisionPtr
PrecisionPtr getPrecisionPtr() const
Definition aastringcodemassmatching.cpp:80
pappso::PrecisionBase::getNominal
virtual pappso_double getNominal() const final
Definition precision.cpp:65
pappso::MHPLUS
const pappso_double MHPLUS(1.007276466879)
pappso::specself::SelfSpectrumDataPoint::antiAaCodeList
std::vector< uint32_t > antiAaCodeList
Definition selfspectrumdatapoint.h:60
pappso::specself::SelfSpectrumDataPoint::m_isComplement
bool m_isComplement
Definition selfspectrumdatapoint.h:56
pappso::specself::SelfSpectrumDataPoint::antiMassDelta
double antiMassDelta
Definition selfspectrumdatapoint.h:58

References antiAaCodeList, antiMassDelta, pappso::AaStringCodeMassMatching::getAaCodeFromMass(), pappso::PrecisionBase::getNominal(), pappso::AaStringCodeMassMatching::getPrecisionPtr(), m_isComplement, pappso::MHPLUS(), and pappso::DataPoint::x.

## fillSelfSpectrumDataPoint()

void pappso::specself::SelfSpectrumDataPoint::fillSelfSpectrumDataPoint | ( | const pappso::AaStringCodeMassMatching & | codec_mass_matching,
|  | const DataPoint & | peak1,
|  | const DataPoint & | peak2
| ) |  |

Definition at line 38 of file selfspectrumdatapoint.cpp.

{
massDelta = peak1.x - peak2.x;
// qDebug() << massDelta;
if(massDelta > 0)
{
aaCodeList = codec_mass_matching.getAaCodeFromMass(massDelta);
}
// m_targetMzSum = m_precursorMass + pappso::MHPLUS + pappso::MHPLUS;
// double precusorBion = m_targetMzSum - pappso::MASSH2O - pappso::MPROTIUM;
// if peak2 is the other ion suite (Y <=> B)
antiMassDelta = 0;
antiAaCodeList.clear();
// qDebug();
}
pappso::specself::SelfSpectrumDataPoint::aaCodeList
std::vector< uint32_t > aaCodeList
Definition selfspectrumdatapoint.h:59
pappso::specself::SelfSpectrumDataPoint::massDelta
double massDelta
Definition selfspectrumdatapoint.h:57

References aaCodeList, antiAaCodeList, antiMassDelta, pappso::AaStringCodeMassMatching::getAaCodeFromMass(), massDelta, and pappso::DataPoint::x.

## setVariableModification()

void pappso::specself::SelfSpectrumDataPoint::setVariableModification | ( | const pappso::AaStringCodeMassMatching & | codec_mass_matching,
|  | const Aa & | aa,
|  | int | quantifier
| ) |  |

Definition at line 89 of file selfspectrumdatapoint.cpp.

{
if(massDelta > 0)
{
std::vector<uint32_t> new_code_list =
codec_mass_matching.getAaCodeFromMassWearingModification(
massDelta, aa, quantifier);
std::copy(new_code_list.begin(),
new_code_list.end(),
std::back_inserter(aaCodeList));
}
if(antiMassDelta > 0)
{
std::vector<uint32_t> new_code_list =
codec_mass_matching.getAaCodeFromMassWearingModification(
antiMassDelta, aa, quantifier);
std::copy(new_code_list.begin(),
new_code_list.end(),
std::back_inserter(antiAaCodeList));
}
}
pappso::AaStringCodeMassMatching::getAaCodeFromMassWearingModification
std::vector< uint32_t > getAaCodeFromMassWearingModification(double mass, const Aa &aa, int quantifier) const
get amino acid string code from a single mass delta wearing a specific modification
Definition aastringcodemassmatching.cpp:132

References aaCodeList, antiAaCodeList, antiMassDelta, pappso::AaStringCodeMassMatching::getAaCodeFromMassWearingModification(), and massDelta.

## Member Data Documentation

## aaCodeList

std::vector<uint32_t> pappso::specself::SelfSpectrumDataPoint::aaCodeList

Definition at line 59 of file selfspectrumdatapoint.h.

Referenced by fillSelfSpectrumDataPoint(), and setVariableModification().

## antiAaCodeList

std::vector<uint32_t> pappso::specself::SelfSpectrumDataPoint::antiAaCodeList

Definition at line 60 of file selfspectrumdatapoint.h.

Referenced by fillAntiSpectrumDataPoint(), fillSelfSpectrumDataPoint(), and setVariableModification().

## antiMassDelta

double pappso::specself::SelfSpectrumDataPoint::antiMassDelta

Definition at line 58 of file selfspectrumdatapoint.h.

Referenced by fillAntiSpectrumDataPoint(), fillSelfSpectrumDataPoint(), and setVariableModification().

## m_isComplement

bool pappso::specself::SelfSpectrumDataPoint::m_isComplement =false

Definition at line 56 of file selfspectrumdatapoint.h.

Referenced by fillAntiSpectrumDataPoint().

## massDelta

double pappso::specself::SelfSpectrumDataPoint::massDelta

Definition at line 57 of file selfspectrumdatapoint.h.

Referenced by fillSelfSpectrumDataPoint(), and setVariableModification().

The documentation for this struct was generated from the following files:

- pappsomspp/processing/specself/selfspectrumdatapoint.h
- pappsomspp/processing/specself/selfspectrumdatapoint.cpp